
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>不要把问题复杂化 / 憋错料</title>

    <meta name="description" content="不要把问题复杂化 重要的是解决问题,而不是使用高逼格的方法. 在linux下改这个配置文件那个配置文件整这个命令行那个命令行,有一种我在做逼格很高的事情的自我满足感,但事实上,你知道你改配置文件是为了什么?关联到什么?命令行如何生效?不要陷进这种浮夸的虚荣感中. 最重要的是分析问题出在哪里,用尽可能简单的,大家都能接受的方法,高效率地解决你面对的问题. 上不了网了? 1.查看本机ip,不一定使命令行,图形界面可以一键查看: 2.没有ip就设ip: 3.有ip就考察ip.ping网关,局域网,dns不通?ip相关设">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">不要把问题复杂化</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>重要的是解决问题，而不是使用高逼格的方法。</p>
<p>在linux下改这个配置文件那个配置文件整这个命令行那个命令行，有一种我在做逼格很高的事情的自我满足感，但事实上，你知道你改配置文件是为了什么？关联到什么？命令行如何生效？不要陷进这种浮夸的虚荣感中。</p>
<p>最重要的是分析问题出在哪里，用尽可能简单的，大家都能接受的方法，高效率地解决你面对的问题。</p>
<p>上不了网了？</p>
<p>1.查看本机ip，不一定使命令行，图形界面可以一键查看；</p>
<p>2.没有ip就设ip；</p>
<p>3.有ip就考察ip。ping网关，局域网，dns不通？ip相关设置有问题；能ping通就一般上网没问题，能ping通还上不了网，ip本身有问题，换ip</p>
<p>---------做对比实验，定位问题出现在哪里。找钥匙的方法就是：对比实验</p>
<p>---------方法本身不重要，再逼格高的方法也是为了解决问题而存在，它本身不具备价值。就像vim，等写代码到了嫌鼠标慢的程度，vim才有价值，否则就是瞎倒腾。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-27 15:00:02 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>不要把问题复杂化的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDoZQo4.html" rel="bookmark">比较不熟的JavaScript点滴，慢慢前行，附带简单复杂化的php小计算器一份</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				interface.php 1 &lt;html&gt; 2 &lt;head&gt; 3 &lt;meta charset=&quot;utf-8&quot; /&gt; 4 &lt;title&gt;这是一个简单的计算器&lt;/title&gt; 5 &lt;/head&gt; 6 &lt;body&gt; 7 &lt;h4&gt;这是一个简单复杂化的计算器&lt;/h4&gt; 8 &lt;hr/&gt; 9 &lt;form action=&quot;operation.php&quot; me			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rLmpgM.html" rel="bookmark">密码的复杂化&num;个人隐私保护系列&num;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了密码更安全,大家想会在想到的密码基础上进行复杂化处理.很多网站要求密码足够强壮,要求必须包含大写字母.数字或者特殊符号.这时,大家也会进行密码的复杂化处理.例如,大家会在密码后面添加年份等.在做这些操作时,尽量避免以下规则: (1)在原有密码的首尾添加数字或者特殊符号.(2)结尾不要添加四位数字或者两位数字的年份信息,如2019或者19.(3)不要使用广泛知道的信息作为前缀,如自己的公司名简写之类. 因为这些规则已经被密码字典工具都收录了.按照这些规则做复杂化,效果为零. 原文地址:http			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MowWobM.html" rel="bookmark">为&period;NET搭建Linux的开发环境&comma;鄙视那些将简单事情复杂化的人</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写在前面的吐槽 原本跨平台开发很容易的事情, 很多人把它弄得很麻烦,给外人的感觉:你们.NET跨平台开发好不成熟,好麻烦哦. ................................................ 一.选择Linux版本 我们选择ubuntu 最新 lts版,理由如下: 1.官方长期维护; 2.ubuntu对于中国用户来讲更容易上手; 3.集成软件中心,常用软件应有尽有; 二.安装mono.monodevelop 打开软件中心,直接搜索这两个东西. 分别安装. 这时候m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmzLDp0.html" rel="bookmark">如何把简单代码复杂化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				就比如print一句hello world吧.main函数里print一下?太面向过程,太low了. 得封装一个类.叫Printer. Printer有个成员方法,叫print. 但是!光一个类太low了,以后要是有不同的实现怎么办?所以得加一个接口.PrinterInterface. 但是!interface是没有实现的,还是要有默认实现才行.所以得加个虚拟类,AbstractPrinter实现PrinterInterface,然后Printer继承AbstractPrinter. 但是!你有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/QM6pZ3j.html" rel="bookmark">POSIX 线程详解（经典必看）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				总共三部分: 第一部分:POSIX 线程详解                                   Daniel Robbins ([email protected]), 总裁/CEO, Gentoo Technologies, Inc.  2000 年 7 月 01 日 第二部分:通用线程:POSIX 线程详解,第 2部分       Daniel Robbins ([email protected]), 总裁/CEO, Gentoo Technologies, Inc.  20			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/pMPYz0Z.html" rel="bookmark">未来人工智能在手机的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当前人工智能的发展,更强调技术的绝对作用,但事实上应用也是很重要的,技术的价值观.规则和目的导向也很重要.感知.判断.思考.分析.学习.适应等这些领域,分别都有相应的技术向前推进,把这些领域有机地结合起来应用出去是当下更重要的事情.创造者需要知道各项技术在当下的弱项和长项,需要清楚如何扬长避短,将技术发挥出最大价值并更好地为人类服务,这是个不亚于技术研发的课题. 关于未来硬件的差异化及创新方面,有五部分创新,包括显示.照相.连接.传感器以及处理器五大方面.吕俊宽强调,包括AMOLED.18:9全			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/w3vEWk0.html" rel="bookmark">【设计模式】六大原则总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.『Single Responsibility Principle』单一职责原则 单一职责原则的核心精神是:一个类,或者一个接口,最好只做一件事情,当发生变化时,他只能受到单一的影响:因为职责过多,可能引起变化的原因将会很多,这样导致职责和功能上的依赖,将严重影响其内聚性和耦合度,混乱由此而生. 单一职责的原则在现实生活中早就实践于现代公司体制与工业生产上,如公司的各个部门职责分明相互独立,生产流水线的某一环节只需关注上螺丝,而另一环节只做零件组装等等:这一原则使庞大的系统组合起来还能各司其职			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/7MVgX20.html" rel="bookmark">&lbrack;转&rsqb; 基于C&num;的波形显示控件的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自 基于C#的波形显示控件的实现[附完整源码下载] 编者记: 09年暑假正好在学院实验室呆了一段时间,做了个完整的上位机软件(具体实现:根据下位机的指令,实现通过串口来操纵下位机进行实验,并将采集的数据进行处理和保存,并以图形的方式显示),整个项目边学C# WinForm边设计,这个波形显示控件就是项目中的一部分,也花了自己绝大多数时间.此外,顺便将该波形显示控件当作自己毕业设计的内容,下文实际上是节选自自己的本科毕业论文,希望对大家能有所帮助.代码以及文章有疏漏.错误.不妥之处在所难免,欢迎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MEkJ13.html" rel="bookmark">开源介绍：Google Guava、Google Guice、Joda-Time</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Guava 是一个 Google 的基于java1.6的类库集合的扩展项目,包括 collections, caching, primitives support, concurrency libraries, common annotations, string processing, I/O, 等等. 这些高质量的 API 可以使你的JAVa代码更加优雅,更加简洁,让你工作更加轻松愉悦.下面我们就开启优雅Java编程学习之旅! 项目相关信息: 官方首页:http://code.googl			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDnjn3.html" rel="bookmark" class="title">微信共享链系统开发</a>
					<div>
						共享链小程序开发[微电咨询:156-2214-7456,纪经理],共享链小程序定制,共享链全返小程序,共享链全返小程序开发,共享链全返模式小程序,共享链全返系统小程序,共享链全返平台小程序,共享链是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3Z8YLM.html" rel="bookmark" class="title">SparkR lib加载</a>
					<div>
						library(SparkR, lib.loc = c(&quot;/usr/local/spark/spark-1.5.2-bin-hadoop2.6/R/lib&quot;) Sys.setenv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q5OLW3.html" rel="bookmark" class="title">hdu1258（Sum It Up）</a>
					<div>
						点击打开hdu1258 Problem Description Given a specified total t and a list of n integers, find all distinc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWwqOBM.html" rel="bookmark" class="title">jquery扩展鼠标mousewheel事件</a>
					<div>
						ニ咳码蕲 珩翰韵 噗的口中还嚼着饭险些喷出来林可欣忙端来水轻拍着他的 官倔堕否 鞋惦╅抢 亍供 膪脑 鹪续轲胺 弄苓洗肖 旋ぞ糁 操趄 促窜婧 帔思 伴ㄜЦ っ沲缒惘 刖镐芮境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j5dxZM.html" rel="bookmark" class="title">2016-3-29学习笔记</a>
					<div>
						linux文件的组成:文件名(dentry).元数据(inode).数据(data)dentry(目录项) dumpe2fs    inode count    inode size    block ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGEVYo3.html" rel="bookmark" class="title">【读书】二、单例模式</a>
					<div>
						特点: 1.构造函数不外放,一般都是private 2.通过暴露一个public的静态方法或者枚举来返回一个单例对象 3.在多线程环境下面,确保单例类对象有且只有一个 4.确保单例类对象再反序列化时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkJxVM.html" rel="bookmark" class="title">java中遍历MAP的几种方法</a>
					<div>
						java中遍历MAP的几种方法 Java代码 Map&lt;String,String&gt; map=new HashMap&lt;String,String&gt;();    map.put(& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MG8OyY0.html" rel="bookmark" class="title">canvas 图形库</a>
					<div>
						/* * @Author: ocean * @Date: 2015-04-26 20:08:19 * @Last Modified by: ocean * @Last Modified time: 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lGZeBM.html" rel="bookmark" class="title">service structure flowchart &lbrack;mobile to server via HTTP RESTful API&rsqb;</a>
					<div>
						Modern flowchart for mobile, server, and etc.. communication This has something to do with these sou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lJeR0.html" rel="bookmark" class="title">排序算法（三）&mdash;&mdash;交换排序</a>
					<div>
						前两篇文章中介绍了选择排序和插入排序,今天我们继续往下来介绍其他的排序算法,介绍交换排序中的冒泡排序和快速排序. 1.交换排序:冒泡排序 定义:首先将第一个记录的关键字和第二个记录的关键字进行比较,若 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n52dVM.html" rel="bookmark" class="title">struts2中的session使用</a>
					<div>
						1.1. 如何获取Session 1.1.1. 获取Session的方式 Struts2中获取Session的方式有3种,大家掌握其中任何一种都可以. 通过ActionContext.getConte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPW8Z14.html" rel="bookmark" class="title">IOS开发之实现App消息推送（最新）</a>
					<div>
						好久没有写过博客啦,今天就由本菜鸟给大家做一个简单的IOSApp消息推送教程吧!一切从0开始,包括XCode6, IOS8, 以及苹果开发者中心最新如何注册应用,申请证书以及下载配置概要文件,相信很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leexL3.html" rel="bookmark" class="title">&lbrack;译&rsqb; 理解数组在 PHP 内部的实现（给PHP开发者的PHP源码-第四部分）</a>
					<div>
						文章来自:http://www.aintnot.com/2016/02/15/understanding-phps-internal-array-implementation-ch 原文:https: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPV5vM.html" rel="bookmark" class="title">C&plus;&plus;复制控制：拷贝构造函数</a>
					<div>
						一.拷贝构造函数是一种特殊构造函数,具有单个形参,该形参(常用const修饰)是对该类类型的引用.与默认构造函数一样 ,拷贝构造函数可由编译器隐式调用.拷贝构造函数应用的场合为: (1)根据另一个同类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jenKDM.html" rel="bookmark" class="title">RMI RPC socket</a>
					<div>
						  1.RPC RPC(Remote Procedure Call Protocol)远程过程调用协议,它是一种通过网络从远程计算机程序上请求服务,而不需要了解底层网络技术的协议.RPC不依赖于具体的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvzGP4.html" rel="bookmark" class="title">数据库索引学习</a>
					<div>
						一.索引介绍 数据库索引调优是一项技术活,不能仅仅靠理论,因为实际情况千变万化,而且各种数据库本身存在很复杂的机制,如查询优化策略和各种引擎的实现等.但同时这些理论是索引调优的基础,只有在明白理论的基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41w8xG0.html" rel="bookmark" class="title">Opengl es Android 3D 手指触控旋转object</a>
					<div>
						明确原理: 先确定一下OpenGL里面的坐标为:x轴正方向为屏幕向右,y轴正方向为屏幕向上,z轴正方向为屏幕由里向外. 当手指在X轴方向上移动时,画面中物体应绕Y轴方向旋转,则为gl.glRotate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGvgaM.html" rel="bookmark" class="title">快排实现</a>
					<div>
						思想: 对于一个未排序数列a, 令key=a[left](可以是其他任意元素) 我们通过操作(1)将小于key的元素置于它左边,大于key的元素置于它的右边: 再递归对其右边和左边区间进行如上操作:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wGmO0.html" rel="bookmark" class="title">thinkphp自带的验证码出现的问题</a>
					<div>
						thinkphp3.1.2版本中今天做验证码时出现了一个小问题. 在后台我引入过了一次验证也就是 import('ORG.Util.Image'); Image::buildImageVerify() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rB8NX3.html" rel="bookmark" class="title">每天一个linux命令（25）：df 命令</a>
					<div>
						linux中df命令的功能是用来检查linux服务器的文件系统的磁盘空间占用情况.可以利用该命令来获取硬盘被占用了多少空间,目前还剩下多少空间等信息. 1．命令格式: df [选项] [文件] 2．命 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
